<div class="container">
    <div class="row">
        <div class="class">
            <h3 class="my-3 text-center">
                Uso del CFDI y Regimen Fiscal</h3>
        </div>
    </div>
    <form (submit)="saveValues()" [formGroup]="cfdiForm">

        <div class="row" *ngIf="errorMessage && errorMessage != ''">
            <div class="col" style="color: red;">
                {{errorMessage}}
            </div>
        </div>

        <div class="row mt-5 ">
            <div class="col-3">
                <span>
                    <h6 class="middle-text">Uso CFDI</h6>
                </span>
            </div>
            <div class="col-9">
                <select formControlName="cfdi" id="inputCFDI" 
                    class="browser-default custom-select">
                    <option value="noData">--Selecciona una opción--</option>
                    <option *ngFor="let order of catalogoCFDI; let i = index" [value]="catalogoCFDI[i].cdUsoCFDI">
                        {{catalogoCFDI[i].descripcion}}
                    </option>
                </select>
            </div>
        </div>

        <div class="row mt-3">
            <div class="col-3">
                <span>
                    <h6 class="middle-text">Regimen Fiscal</h6>
                </span>
            </div>
            <div class="col-9">
                <select formControlName="regimen" id="inputRegimen" 
                    class="browser-default custom-select">
                    <option value="noData">--Selecciona una opción--</option>
                    <option *ngFor="let order of catalgoRegimen; let i = index" [value]="catalgoRegimen[i].cdRegimenFiscal">
                        {{catalgoRegimen[i].descripcion}}
                    </option>
                </select>
            </div>
        </div>

        <div class="row mt-5 mb-5">
            <div class="col-12">
                <input autocomplete="off" type="submit" class="btn btn-lg btn-block btn-danger mr-3 btnUrl"
                    [style.background-color]="getColorButton()" [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()" value="Aceptar">
            </div>
        </div>
    </form>
</div>